Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

* clean shoulda dependencies

* add dependencies for rails and authlogic
* fixed readme and urls
* regenerate gemspec
* remove unused test
  • Loading branch information...
commit ad09107f946a7d535959d6e0eaf245c3a05dd0a4 1 parent f1e6208
Dmitry Vorotilin authored
View
0  .document 100644 → 100755
File mode changed
View
9 Gemfile 100644 → 100755
@@ -1,12 +1,9 @@
source "http://rubygems.org"
-# Add dependencies required to use your gem here.
-# Example:
-# gem "activesupport", ">= 2.3.5"
-# Add dependencies to develop your gem here.
-# Include everything needed to run rake, tests, features, etc.
+gem "rails", "~> 2.3.11"
+gem "authlogic", "~> 2.1.6"
+
group :development do
- gem "shoulda", ">= 0"
gem "bundler", "~> 1.0.0"
gem "jeweler", "~> 1.5.2"
gem "rcov", ">= 0"
View
24 Gemfile.lock 100644 → 100755
@@ -1,20 +1,40 @@
GEM
remote: http://rubygems.org/
specs:
+ actionmailer (2.3.11)
+ actionpack (= 2.3.11)
+ actionpack (2.3.11)
+ activesupport (= 2.3.11)
+ rack (~> 1.1.0)
+ activerecord (2.3.11)
+ activesupport (= 2.3.11)
+ activeresource (2.3.11)
+ activesupport (= 2.3.11)
+ activesupport (2.3.11)
+ authlogic (2.1.6)
+ activesupport
git (1.2.5)
jeweler (1.5.2)
bundler (~> 1.0.0)
git (>= 1.2.5)
rake
+ rack (1.1.2)
+ rails (2.3.11)
+ actionmailer (= 2.3.11)
+ actionpack (= 2.3.11)
+ activerecord (= 2.3.11)
+ activeresource (= 2.3.11)
+ activesupport (= 2.3.11)
+ rake (>= 0.8.3)
rake (0.8.7)
rcov (0.9.9)
- shoulda (2.11.3)
PLATFORMS
ruby
DEPENDENCIES
+ authlogic (~> 2.1.6)
bundler (~> 1.0.0)
jeweler (~> 1.5.2)
+ rails (~> 2.3.11)
rcov
- shoulda
View
0  LICENSE.txt 100644 → 100755
File mode changed
View
2  README.rdoc 100644 → 100755
@@ -1,6 +1,6 @@
= aavkontakte
-This is beta version of aavkontakte - another authlogic vkontakte authorization gem. It provides vkontakte authorization to authlogic.
+This is aavkontakte - yet another authlogic vkontakte authorization gem. It provides vkontakte authorization to authlogic.
This gem is tested with authlogic and authlogic-rpx on my project. Please report me about bugs.
Vkontakte uses domain protection for url address of your site. But I noticed that:
http://your-really-domain:3000 after closing popup window is works too. You must add your domain in /etc/hosts
View
6 Rakefile 100644 → 100755
@@ -14,10 +14,10 @@ Jeweler::Tasks.new do |gem|
# gem is a Gem::Specification... see http://docs.rubygems.org/read/chapter/20 for more options
gem.name = "aavkontakte"
gem.rubyforge_project = "aavkontakte"
- gem.homepage = "http://github.com/deeptown/aavkontakte"
+ gem.homepage = "http://github.com/route/aavkontakte"
gem.license = "MIT"
- gem.summary = %Q{Vkontakte authorization}
- gem.description = %Q{Another authlogic vkontakte}
+ gem.summary = %Q{Yet Another Authlogic Vkontakte Authorization}
+ gem.description = %Q{Vkontakte authorization for authlogic}
gem.email = "mydeeptown@gmail.com"
gem.authors = ["Dmitry Vorotilin"]
# Include your dependencies below. Runtime dependencies are required when using your gem,
View
0  VERSION 100644 → 100755
File mode changed
View
25 aavkontakte.gemspec 100644 → 100755
@@ -9,8 +9,8 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Dmitry Vorotilin"]
- s.date = %q{2011-02-02}
- s.description = %q{Another authlogic vkontakte}
+ s.date = %q{2011-05-18}
+ s.description = %q{Vkontakte authorization for authlogic}
s.email = %q{mydeeptown@gmail.com}
s.extra_rdoc_files = [
"LICENSE.txt",
@@ -30,38 +30,35 @@ Gem::Specification.new do |s|
"lib/vkontakte.js",
"lib/vkontakte/authentication.rb",
"lib/vkontakte/helper.rb",
- "lib/vkontakte/session.rb",
- "test/helper.rb",
- "test/test_aavkontakte.rb"
+ "lib/vkontakte/session.rb"
]
- s.homepage = %q{http://github.com/deeptown/aavkontakte}
+ s.homepage = %q{http://github.com/route/aavkontakte}
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubyforge_project = %q{aavkontakte}
s.rubygems_version = %q{1.3.7}
- s.summary = %q{Vkontakte authorization}
- s.test_files = [
- "test/helper.rb",
- "test/test_aavkontakte.rb"
- ]
+ s.summary = %q{Yet Another Authlogic Vkontakte Authorization}
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_development_dependency(%q<shoulda>, [">= 0"])
+ s.add_runtime_dependency(%q<rails>, ["~> 2.3.11"])
+ s.add_runtime_dependency(%q<authlogic>, ["~> 2.1.6"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_development_dependency(%q<rcov>, [">= 0"])
else
- s.add_dependency(%q<shoulda>, [">= 0"])
+ s.add_dependency(%q<rails>, ["~> 2.3.11"])
+ s.add_dependency(%q<authlogic>, ["~> 2.1.6"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rcov>, [">= 0"])
end
else
- s.add_dependency(%q<shoulda>, [">= 0"])
+ s.add_dependency(%q<rails>, ["~> 2.3.11"])
+ s.add_dependency(%q<authlogic>, ["~> 2.1.6"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rcov>, [">= 0"])
View
0  init.rb 100644 → 100755
File mode changed
View
0  lib/aavkontakte.rb 100644 → 100755
File mode changed
View
0  lib/vkontakte.js 100644 → 100755
File mode changed
View
0  lib/vkontakte/helper.rb 100644 → 100755
File mode changed
View
0  lib/vkontakte/session.rb 100644 → 100755
File mode changed
View
18 test/helper.rb
@@ -1,18 +0,0 @@
-require 'rubygems'
-require 'bundler'
-begin
- Bundler.setup(:default, :development)
-rescue Bundler::BundlerError => e
- $stderr.puts e.message
- $stderr.puts "Run `bundle install` to install missing gems"
- exit e.status_code
-end
-require 'test/unit'
-require 'shoulda'
-
-$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
-$LOAD_PATH.unshift(File.dirname(__FILE__))
-require 'aavkontakte'
-
-class Test::Unit::TestCase
-end
View
7 test/test_aavkontakte.rb
@@ -1,7 +0,0 @@
-require 'helper'
-
-class TestAavkontakte < Test::Unit::TestCase
- should "probably rename this file and start testing for real" do
- flunk "hey buddy, you should probably rename this file and start testing for real"
- end
-end
Please sign in to comment.
Something went wrong with that request. Please try again.